Use uuidutils instead of uuid.uuid4()

Bug #1082248 reported by Zhongyue Luo on 2012-11-23
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Barbican
Fix Released
Low
M V P Nitesh
Cinder
Wishlist
Unassigned
Ironic
Fix Released
Wishlist
Tuan
Karbor
Wishlist
bailin.zhang
Mistral
Undecided
Unassigned
OpenStack Compute (nova)
Wishlist
Xiao Gong
OpenStack Dashboard (Horizon)
Low
guoshan
OpenStack Object Storage (swift)
Undecided
Unassigned
Rally
Undecided
sudhir agarwal
Sahara
Fix Released
Wishlist
Tuan
ironic-python-agent
Fix Released
Wishlist
Tuan
kolla
Wishlist
Surya Prakash Singh
kuryr
Undecided
bailin.zhang
kuryr-libnetwork
Undecided
bailin.zhang
networking-midonet
Low
melissaml
networking-ovn
Low
bailin.zhang
networking-sfc
Undecided
Yan Songming
osprofiler
Undecided
Tovin Seven
python-openstackclient
In Progress
Undecided
ZhangHongtao
senlin
Undecided
guoshan
tacker
Undecided
anusree
watcher
Undecided
qinchunhua

Bug Description

Openstack common has a wrapper for generating uuids.

We should only use that function when generating uuids for consistency.

Fix proposed to branch: master
Review: https://review.openstack.org/16786

Changed in quantum:
assignee: nobody → Zhongyue Luo (zyluo)
status: New → In Progress

Reviewed: https://review.openstack.org/16786
Committed: http://github.com/openstack/quantum/commit/e597cbc7cac411ba8a3a9249e5fc5fc1f9f15040
Submitter: Jenkins
Branch: master

commit e597cbc7cac411ba8a3a9249e5fc5fc1f9f15040
Author: Zhongyue Luo <email address hidden>
Date: Fri Nov 23 11:54:37 2012 +0800

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Fixes bug #1082248

    Change-Id: I1be4ae129382585cecc4346e1e712ee0ab03bab5

Changed in quantum:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-01-09
Changed in quantum:
milestone: none → grizzly-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in quantum:
milestone: grizzly-2 → 2013.1
liaonanhai (nanhai-liao) on 2016-11-07
Changed in nova:
assignee: nobody → liaonanhai (nanhai-liao)
Vitalii Gridnev (vgridnev) wrote :

I think that we really don't need a bug for this. Just a minor improvement.

Changed in sahara:
status: New → Invalid
no longer affects: sahara
Tuan (tuanla) on 2016-11-07
Changed in sahara:
status: New → Invalid

Reviewed: https://review.openstack.org/394278
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=158bd893b97be4b757b84ad06761309367d32aa4
Submitter: Jenkins
Branch: master

commit 158bd893b97be4b757b84ad06761309367d32aa4
Author: Luong Anh Tuan <email address hidden>
Date: Mon Nov 7 13:12:29 2016 +0700

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Change-Id: Ib72d9e74c70437678c72cebc31aee60a9e140e23
    Closes-Bug: #1082248

Changed in sahara:
status: Invalid → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/394775

Changed in nova:
status: New → In Progress
Tuan (tuanla) on 2016-11-08
Changed in sahara:
assignee: nobody → Tuan (tuanla)

Fix proposed to branch: master
Review: https://review.openstack.org/394791

Changed in ironic:
assignee: nobody → Tuan (tuanla)
status: New → In Progress
Tuan (tuanla) on 2016-11-08
Changed in ironic-python-agent:
assignee: nobody → Tuan (tuanla)
Changed in sahara:
importance: Undecided → Wishlist
milestone: none → ocata-1
Tuan (tuanla) on 2016-11-08
Changed in ironic-python-agent:
status: New → In Progress
Xu Ao (xuao) on 2016-11-08
Changed in cinder:
assignee: nobody → Xu Ao (xuao)
guoshan (guoshan) on 2016-11-08
Changed in keystone:
assignee: nobody → guoshan (guoshan)
Changed in senlin:
assignee: nobody → guoshan (guoshan)
zhangjialong (zhangjl) on 2016-11-08
Changed in mistral:
assignee: nobody → zhangjialong (zhangjl)
Jesse (boycht) on 2016-11-08
Changed in magnum:
assignee: nobody → Jesse (boycht)
guoshan (guoshan) on 2016-11-08
Changed in horizon:
assignee: nobody → guoshan (guoshan)
Changed in kuryr:
assignee: nobody → bailin.zhang (bailin-zhang)
status: New → In Progress
Changed in kuryr-libnetwork:
assignee: nobody → bailin.zhang (bailin-zhang)
status: New → In Progress
huoliang (huoliang2016) on 2016-11-08
Changed in murano:
assignee: nobody → huoliang (huoliang2016)
Changed in networking-ovn:
assignee: nobody → bailin.zhang (bailin-zhang)
status: New → In Progress
Changed in tacker:
assignee: nobody → bailin.zhang (bailin-zhang)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/394859

Changed in mistral:
status: New → In Progress

Reviewed: https://review.openstack.org/394791
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=c4aa8e97dfc95a663b2273478ea5105bad5358fd
Submitter: Jenkins
Branch: master

commit c4aa8e97dfc95a663b2273478ea5105bad5358fd
Author: Luong Anh Tuan <email address hidden>
Date: Tue Nov 8 13:57:22 2016 +0700

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Openstack common has a wrapper for generating uuids.We should
    use that function when generating uuids for consistency.

    Change-Id: Ifab42440663323f43a7fdb5abe3887414f60602d
    Closes-Bug: #1082248

Changed in ironic:
status: In Progress → Fix Released
zhangjialong (zhangjl) wrote :
Changed in mistral:
assignee: zhangjialong (zhangjl) → nobody
status: In Progress → Invalid

Fix proposed to branch: master
Review: https://review.openstack.org/394883

Changed in horizon:
status: New → In Progress
Amrith Kumar (amrith) on 2016-11-08
no longer affects: trove

Fix proposed to branch: master
Review: https://review.openstack.org/394892

Changed in senlin:
status: New → In Progress
Steve Martinelli (stevemar) wrote :

This is an implementation detail and we won't be fixing it in Keystone. There's no gain as far as I can tell.

Changed in keystone:
status: New → Invalid
no longer affects: keystone

Fix proposed to branch: master
Review: https://review.openstack.org/394926

Changed in cinder:
status: New → In Progress
Changed in cinder:
importance: Undecided → Wishlist
Changed in cinder:
status: In Progress → Invalid

Reviewed: https://review.openstack.org/394795
Committed: https://git.openstack.org/cgit/openstack/ironic-python-agent/commit/?id=ef6c1cb9ce0e56ed7b629f4e239083e67eee13a1
Submitter: Jenkins
Branch: master

commit ef6c1cb9ce0e56ed7b629f4e239083e67eee13a1
Author: Luong Anh Tuan <email address hidden>
Date: Tue Nov 8 14:13:05 2016 +0700

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Openstack common has a wrapper for generating uuids.We should
    use that function when generating uuids for consistency.

    Change-Id: Ifb7b15fc8634338fc535de8043053e41aa93968a
    Closes-Bug: #1082248

Changed in ironic-python-agent:
status: In Progress → Fix Released
Changed in networking-ovn:
importance: Undecided → Low

Change abandoned by bailin.zhang (<email address hidden>) on branch: master
Review: https://review.openstack.org/394810

Fix proposed to branch: master
Review: https://review.openstack.org/395283

Changed in murano:
status: New → In Progress

Reviewed: https://review.openstack.org/394892
Committed: https://git.openstack.org/cgit/openstack/senlin/commit/?id=0e9c8a31189d1a8f0e2d193a61d1108e20acc75f
Submitter: Jenkins
Branch: master

commit 0e9c8a31189d1a8f0e2d193a61d1108e20acc75f
Author: jolie <email address hidden>
Date: Tue Nov 8 18:37:20 2016 +0800

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Change-Id: I2ccd4067c366aa5332602626d5d8ac48612ebf4d
    Closes-Bug: #1082248

Changed in senlin:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/394346
Committed: https://git.openstack.org/cgit/openstack/mistral/commit/?id=e9ba374707a856033c8aab083a7d410154158f3c
Submitter: Jenkins
Branch: master

commit e9ba374707a856033c8aab083a7d410154158f3c
Author: pawnesh.kumar <email address hidden>
Date: Mon Nov 7 15:33:28 2016 +0530

    Replace uuid4() with generate_uuid() from oslo_utils

    As of now, UUID is being generated using either uuid.uuid4()
    or uuidutils.generate_uuid(). In order to maintain consistency,
    we propose to use uuidutils.generate_uuid() from oslo_utils.

    Change-Id: I620cb1f396ce011b9846ff2dad2c9811bc5d0652
    Closes-Bug: #1082248

Changed in mistral:
status: Invalid → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/395993

Changed in tacker:
assignee: bailin.zhang (bailin-zhang) → wei zhang (david-zhw1982)
Changed in networking-sfc:
assignee: nobody → Yan Songming (songmingyan)

Fix proposed to branch: master
Review: https://review.openstack.org/396129

Changed in networking-sfc:
status: New → In Progress
Changed in cinder:
status: Invalid → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/396847

Changed in murano:
assignee: huoliang (huoliang2016) → melissaml (ma-lei)

Reviewed: https://review.openstack.org/394877
Committed: https://git.openstack.org/cgit/openstack/networking-ovn/commit/?id=f765cb9ef92a73f7f15524217d4ba7785996cf38
Submitter: Jenkins
Branch: master

commit f765cb9ef92a73f7f15524217d4ba7785996cf38
Author: bailinzhang <email address hidden>
Date: Tue Nov 8 18:07:35 2016 +0800

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Change-Id: I81b4c4a4c57b9e4bbff48b055105148734879d4c
    Closes-Bug: #1082248

Changed in networking-ovn:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/394883
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=796625863d7e3de7882dad5bb7b1c66025c61344
Submitter: Jenkins
Branch: master

commit 796625863d7e3de7882dad5bb7b1c66025c61344
Author: jolie <email address hidden>
Date: Tue Nov 8 18:10:48 2016 +0800

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Change-Id: I72e502a07d971de7e5c85519c80c4d054863eabe
    Closes-Bug: #1082248

Changed in horizon:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/396464
Committed: https://git.openstack.org/cgit/openstack/neutron-fwaas/commit/?id=4e615b1729bfd9ce95580b042422cf31d5b16a4b
Submitter: Jenkins
Branch: master

commit 4e615b1729bfd9ce95580b042422cf31d5b16a4b
Author: SongmingYan <email address hidden>
Date: Thu Nov 10 20:59:21 2016 -0500

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Change-Id: If081b1a2be6ebb39d7cbd8696ceb145960347aa9
    Closes-Bug: #1082248

Changed in murano:
assignee: melissaml (ma-lei) → huoliang (huoliang2016)
Changed in networking-calico:
assignee: nobody → Yan Songming (songmingyan)

Fix proposed to branch: master
Review: https://review.openstack.org/398039

Changed in networking-calico:
status: New → In Progress
Changed in python-muranoclient:
assignee: nobody → feng.shengqin@zte.com.cn (feng-shengqin)

Fix proposed to branch: master
Review: https://review.openstack.org/398121

Changed in python-muranoclient:
status: New → In Progress

This issue was fixed in the openstack/sahara 6.0.0.0b1 development milestone.

This issue was fixed in the openstack/networking-ovn 2.0.0.0b1 development milestone.

This issue was fixed in the openstack/neutron-fwaas 10.0.0.0b1 development milestone.

Fix proposed to branch: master
Review: https://review.openstack.org/398702

Changed in magnum:
status: New → In Progress
Rico Lin (rico-lin) on 2016-11-17
Changed in heat:
assignee: nobody → Rico Lin (rico-lin)
Changed in python-heatclient:
assignee: nobody → Rico Lin (rico-lin)
Changed in heat:
importance: Undecided → Low
milestone: none → ocata-2
Changed in python-heatclient:
importance: Undecided → Low
Rico Lin (rico-lin) on 2016-11-17
Changed in heat:
milestone: ocata-2 → next
Thomas Herve (therve) on 2016-11-17
no longer affects: heat
no longer affects: python-heatclient

This issue was fixed in the openstack/senlin 3.0.0.0b1 development milestone.

This issue was fixed in the openstack/mistral 4.0.0.0b1 development milestone.

qinchunhua (qin-chunhua) on 2016-11-18
Changed in watcher:
status: New → In Progress
assignee: nobody → qinchunhua (qin-chunhua)

Need improvement in kolla side too

Changed in kolla:
importance: Undecided → Wishlist
milestone: none → ocata-1
assignee: nobody → Surya Prakash Singh (confisurya)
status: New → In Progress
Changed in kolla:
milestone: ocata-1 → ocata-2
Changed in shade:
assignee: nobody → bailin.zhang (bailin-zhang)
status: New → In Progress
no longer affects: shade
Changed in karbor:
assignee: nobody → bailin.zhang (bailin-zhang)
status: New → In Progress
Changed in gnocchi:
assignee: nobody → bailin.zhang (bailin-zhang)
status: New → In Progress
Saggi Mizrahi (ficoos) on 2016-11-21
Changed in karbor:
importance: Undecided → Wishlist
milestone: none → ocata
Changed in watcher:
status: In Progress → Fix Released
Changed in kuryr-libnetwork:
status: In Progress → Fix Released
Tuan (tuanla) on 2016-11-21
Changed in nova:
importance: Undecided → Wishlist
Changed in murano:
assignee: huoliang (huoliang2016) → melissaml (ma-lei)
Changed in karbor:
status: In Progress → Fix Released
no longer affects: murano
Changed in kuryr:
status: In Progress → Fix Released
Xu Ao (xuao) on 2016-11-24
Changed in cinder:
assignee: Xu Ao (xuao) → nobody
Changed in kolla:
status: In Progress → Fix Committed
gordon chung (chungg) on 2016-11-29
no longer affects: gnocchi
no longer affects: python-muranoclient
Sai Kiran (saikiran) on 2016-11-30
no longer affects: swift
Changed in swift:
assignee: nobody → Sai Kiran (saikiran)
Changed in swift:
status: New → Won't Fix
Changed in cinder:
status: In Progress → Won't Fix
Sai Kiran (saikiran) on 2016-12-01
Changed in swift:
assignee: Sai Kiran (saikiran) → nobody
Tuan (tuanla) on 2016-12-05
Changed in ironic:
importance: Undecided → Wishlist
Changed in ironic-python-agent:
importance: Undecided → Wishlist
Tovin Seven (tovin07) on 2016-12-05
Changed in osprofiler:
assignee: nobody → Tovin Seven (tovin07)
status: New → In Progress
Changed in networking-midonet:
assignee: nobody → melissaml (ma-lei)
importance: Undecided → Low
milestone: none → 4.0.0
status: New → Fix Released
Tuan (tuanla) on 2016-12-05
Changed in neutron:
assignee: Zhongyue Luo (zyluo) → Tuan (tuanla)
Changed in kolla:
status: Fix Committed → Fix Released
Changed in osprofiler:
status: In Progress → Fix Released
Changed in networking-sfc:
status: In Progress → Fix Released
Jesse (boycht) on 2017-01-16
no longer affects: magnum
tags: added: neutron-proactive-backport-potential
tags: removed: neutron-proactive-backport-potential
51 comments hidden view all 131 comments

This issue was fixed in the openstack/solum 5.1.0 release.

This issue was fixed in the openstack/aodh 4.0.0 release.

This issue was fixed in the openstack/cloudkitty 5.0.0 release.

This issue was fixed in the openstack/panko 2.0.0 release.

This issue was fixed in the openstack/ironic 7.0.0 release.

This issue was fixed in the openstack/ironic-python-agent 2.0.0 release.

This issue was fixed in the openstack/tripleo-common 5.8.0 release.

Neil Jerram (neil-jerram) wrote :

I don't see value in this for networking-calico.

no longer affects: networking-calico
Changed in horizon:
importance: Undecided → Low
milestone: none → pike-1

This issue was fixed in the openstack/osprofiler 1.6.0 release.

This issue was fixed in the openstack/networking-sfc 4.0.0 release.

Changed in rally:
assignee: nobody → sudhir agarwal (sudhir.agarwal)
status: New → Confirmed
status: Confirmed → In Progress
Changed in barbican:
assignee: nobody → Kiran Totad (kiran-totad)
Changed in barbican:
status: New → In Progress

This issue was fixed in the openstack/oslo.cache 1.19.0 release.

Changed in python-openstackclient:
assignee: nobody → ZhangHongtao (zhanghongtao)

Fix proposed to branch: master
Review: https://review.openstack.org/449475

Changed in python-openstackclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/449515

Changed in nova:
assignee: liaonanhai (nanhai-liao) → Xiao Gong (gongxiao)

Change abandoned by 龚肖 (<email address hidden>) on branch: master
Review: https://review.openstack.org/449515

no longer affects: neutron

Change abandoned by ZhangHongtao (zhanghongtao0826@126.com) on branch: master
Review: https://review.openstack.org/449475

Changed in barbican:
importance: Undecided → Low

This issue was fixed in the openstack/freezer 5.0.0.0b1 development milestone.

This issue was fixed in the openstack/neutron 11.0.0.0b1 development milestone.

Changed in barbican:
assignee: Kiran Totad (kiran-totad) → nobody
status: In Progress → New

Change abandoned by melissaml (ma.lei@99cloud.net) on branch: master
Review: https://review.openstack.org/448878

M V P Nitesh (m-nitesh) on 2017-05-15
Changed in barbican:
assignee: nobody → M V P Nitesh (m-nitesh)

Fix proposed to branch: master
Review: https://review.openstack.org/464622

Changed in barbican:
status: New → In Progress

Change abandoned by Kiran Totad (<email address hidden>) on branch: master
Review: https://review.openstack.org/443442
Reason: Cannont merge

This issue was fixed in the openstack/python-cinderclient 2.2.0 release.

This issue was fixed in the openstack/python-barbicanclient 4.3.0 release.

Changed in nova:
status: In Progress → Fix Released

Change abandoned by sudhir agarwal (<email address hidden>) on branch: master
Review: https://review.openstack.org/444573

Reviewed: https://review.openstack.org/464622
Committed: https://git.openstack.org/cgit/openstack/barbican/commit/?id=3e2f35f88e40720d3d837ba8ec6f6de1ae678226
Submitter: Jenkins
Branch: master

commit 3e2f35f88e40720d3d837ba8ec6f6de1ae678226
Author: M V P Nitesh <email address hidden>
Date: Mon May 15 17:20:56 2017 +0530

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    Change-Id: I9a83e63622c352ea39bf43f7ae181cf8a696a999
    Closes-Bug: #1082248

Changed in barbican:
status: In Progress → Fix Released

This issue was fixed in the openstack/barbican 5.0.0.0b3 development milestone.

anusree (anusree-a04) on 2017-07-27
Changed in tacker:
assignee: wei zhang (david-zhw1982) → anusree (anusree-a04)

This issue was fixed in the openstack/neutron-fwaas 11.0.0.0b3 development milestone.

Change abandoned by Sean Dague (<email address hidden>) on branch: master
Review: https://review.openstack.org/449537
Reason: This review is > 4 weeks without comment, and is not mergable in it's current state. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

Reviewed: https://review.openstack.org/487826
Committed: https://git.openstack.org/cgit/openstack/tacker/commit/?id=2f40bdab36b7b131ed740ee7deea74b3c9338396
Submitter: Jenkins
Branch: master

commit 2f40bdab36b7b131ed740ee7deea74b3c9338396
Author: Anusree <email address hidden>
Date: Thu Jul 27 17:58:02 2017 +0530

    Replaces uuid.uuid4 with uuidutils.generate_uuid()

    oslo_utils.uuidutils has a wrapper for generating uuids.
    We should only use that function when generating
    uuids for consistency.

    Change-Id: I566f930afe2a287b0aaa3b12500138befc683f11
    Closes-Bug: #1082248

Changed in tacker:
status: In Progress → Fix Released

This issue was fixed in the openstack/murano-agent 3.3.0 release.

This issue was fixed in the openstack/designate 5.0.0.0rc1 release candidate.

This issue was fixed in the openstack/tacker 0.8.0 release.

Change abandoned by Chuck Short (<email address hidden>) on branch: master
Review: https://review.openstack.org/593681

Change abandoned by Chuck Short (<email address hidden>) on branch: master
Review: https://review.openstack.org/593664

Displaying first 40 and last 40 comments. View all 131 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers